﻿Type=StaticCode
Version=3
@EndOfDesignText@

'Code module
'Subs in this code module will be accessible from all modules.

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub


Sub ComboFuerza (p_spin As Spinner)
	p_spin.Clear
	p_spin.Add("Grupo1")
	p_spin.Add("Grupo2")
	p_spin.Add("Grupo3")
End Sub

' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Genera un numero único, el cual será el código del cultivo
'</Sumary>

Sub GetUniqueKey
    Dim r As Reflector
    r.Target = r.RunStaticMethod("java.util.UUID", "randomUUID", Null, Null)
    Return r.RunMethod("toString")
End Sub


Sub LimpiarVariables
	'Inicia un nuevo lote
	Base.g_Lote = 0
	
	'pantalla 1: Fuerza
	Base.g_Codigo = "0"
    Base.g_Nivel1_fuerza = "Grupo1"
    Base.g_Nivel2_fuerza = ""
    Base.g_Nivel3_fuerza = ""
    Base.g_Nivel4_fuerza = ""
    Base.g_Nivel5_fuerza = ""
    Base.g_Nivel6_fuerza = ""

End Sub


Sub CoordenadasGrados(strCadenaDecimal As String, blnMantenerDecimal As Boolean ) As String
	Dim s, s2 As String
	Dim i As Int 
	
	s = strCadenaDecimal
	i = s.IndexOf2(":",0) 'Buscar simbolo :
	If i>0 Then  'Encontrado primer simbolo :, reemplazar por simbolo de grados
	  s = s.SubString2(0,i) & "°" & s.SubString2(i+1,s.Length )
	End If

	s = s.Replace(":","'") 'reemplazar segundo simbolo :, reemplazar por simbolo de minutos
	
	i = s.IndexOf2(".",0) 'Buscar punto decimal
	If  i<0 Then
		i = s.IndexOf2(",",0) 'Buscar punto decimal
	End If

	If i>=0 Then  'Encontrado simbolo decimal
		If blnMantenerDecimal Then
		  s = s.SubString2(0,i) & "''."  & s.SubString2(i+1,s.Length )
		Else
		  s = s.SubString2(0,i) & "''" 
		End If 
	End If
	Return s
End Sub