﻿Type=StaticCode
Version=3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim BD As SQL 
	Dim MensajeEnvio As String

End Sub

' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Redirecciona la aplicación a una pantalla especifica dado por la variable  Base.g_Paso
'</Sumary>
Sub NavegarPantallaPaso
    Select Base.g_Paso
		Case 1
			StartActivity (p1_Fuerza)
		Case 2
			StartActivity (p4_foto1)
		Case 3
			StartActivity (p5_foto2)
		Case 4
			StartActivity (p13_foto3)
		Case 5
			StartActivity (p16_foto)
			'CallSubDelayed2 (p16_foto,"Activity_Create",True)
	End Select
End Sub

' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Redirecciona la aplicación a la pantalla de PAUSA
'</Sumary>

Sub PausarTerminar (p_Activity As Activity )
 If  Msgbox2 ("Saldrá del reporte del cultivo, ¿está seguro que desea continuar?" , "Advertencia","Pausar/Terminar","Cancelar","",Null) = DialogResponse.POSITIVE Then
	p_Activity.Finish 
  End If
End Sub


' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Log de mensajes a un archivo de disco o al log de depuración
'</Sumary>
Sub LogF (Mensaje As String, modo As String , agregar As Boolean )
Dim strLineas As String

  strLineas =  "Paso= " & Base.g_Paso & "---" &  DateTime.Date(DateTime.Now)  & " --> "
   Select modo 
	Case 0
		Return
	Case 1 
		Log(Mensaje)
	Case 2
		Dim tw As TextWriter
		tw.Initialize(File.OpenOutput(File.DirRootExternal, "LogErradicaDC.txt" , agregar ))
		tw.WriteLine(" " & Chr(13) & Chr(10) & strLineas & Mensaje)	
		tw.Close 
	End Select
End Sub


' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Directorio externo de acuerdo al modelo de Equipo
'</Sumary>
Sub DirExternal As String 
	Dim p As Phone
	Dim model, manufacturer As String
	model = p.model
	manufacturer = p.manufacturer

	If manufacturer = "samsung" Then
		Return "/storage/extSdCard"
	End If
	
	If manufacturer = "Garmin" Then
		Return "/mnt/ext_sdcard"
	End If

	If manufacturer = "Trimble Navigation Limited" Then
		Return "/storage/removable/external_sdcard"
	End If
	
	'Modelo por defecto
	Return "/storage/extSdCard"
End Sub
' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Invoca al Garbage Collector de Android
'</Sumary>
Sub gc
   Try
      Dim Reflector1 As Reflector 
      Reflector1.RunStaticMethod("java.lang.System", "gc", Null, Null)
   Catch
      Log(LastException.Message)
   End Try
End Sub

Sub MaximaResolucion (cam As CameraExClass)
	Dim pictureSizes() As CameraSize = cam.GetSupportedPicturesSizes
	Dim current As CameraSize = cam.GetPictureSize
	Dim index As Int : index  = pictureSizes.Length-1
	'Dim index As Int : index  = 0
	
	If pictureSizes(index).Width = current.Width AND pictureSizes(index).Height = current.Height Then 
		ToastMessageShow("Actual: " & pictureSizes(index).Width & "x" & pictureSizes(index).Height, False)
		Return
	End If
	
	cam.SetPictureSize(pictureSizes(index).Width,pictureSizes(index).Height)
	ToastMessageShow("Ajustado a: " & pictureSizes(index).Width & "x" & pictureSizes(index).Height, False)
	
	cam.CommitParameters		
End Sub
