﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
	'Definición de Controles del formulario que serán modficados por código fuente
	Dim spnFuerza As Spinner 
	Dim lblNivel2, lblNivel3,lblNivel4,lblNivel5,lblNivel6 As Label
	Dim txtN2,txtN3,txtN4,txtN5,txtN6 As EditText 
	Dim pnlBarra, pnlCentro As Panel 

	Dim imgAyuda As ImageView

End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("p1_fuerza") 'Activar los controles dibujados en el designer
	
	If Base.g_Lote = 0 Then 'Nueva plantación
		Base.g_Codigo= Datos.GetUniqueKey   'Genera código único de la plantación
		'Formatear fecha dd/mm/yyyy
		Base.g_Fecha = DateTime.GetDayOfMonth(DateTime.Now) & "/" & DateTime.GetMonth(DateTime.Now) & "/" & DateTime.GetYear(DateTime.Now)
	End If

	If Base.g_Codigo = "0" Then
		Base.g_Codigo= Datos.GetUniqueKey   'Genera código único de la plantación
	End If
	
	Datos.ComboFuerza(spnFuerza)  'Cargar combo
	Pantalla_Formatear		'Formatea controles en la pantalla
	Pantalla_Pintar			'Actualiza valores de los controles de acuerdo a las variables en memoria
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub Pantalla_Formatear
	'Centrar el panel del menú en el dispositivo
	pnlBarra.Left = (100%x - pnlBarra.Width)/2
	pnlBarra.Top = 5%y
	pnlCentro.Left = pnlBarra.Left 
	pnlCentro.Top = pnlBarra.Top +  pnlBarra.Height + 10

	'Rellena los textEdit y los labels de acuerdo a los valores actuales
    txtN2.Color = Colors.Black
    txtN3.Color = Colors.Black
    txtN4.Color = Colors.Black
    txtN5.Color = Colors.Black
    txtN6.Color = Colors.Black
	spnFuerza.Color = Colors.Gray
	
End Sub

Sub Pantalla_Pintar

	'La variable Base.g_Nivel1_fuerza almacena el TEXTO de la opción elegida
	'El comobo se seleccionará con base al INDICE que le corresonde a dicha opción
	spnFuerza.SelectedIndex=  spnFuerza.IndexOf(Base.g_Nivel1_fuerza)
	'Actualizar las cajas de texto
	txtN2.Text = Base.g_Nivel2_fuerza
	txtN3.Text = Base.g_Nivel3_fuerza
	txtN4.Text = Base.g_Nivel4_fuerza
	txtN5.Text = Base.g_Nivel5_fuerza
	txtN6.Text = Base.g_Nivel6_fuerza
  
  	'De acuerdo al Nivel 1, se actualizan los lables de las demás opciiones de identificación de fuerzas
    Select Base.g_Nivel1_fuerza
		Case "Grupo1"
				lblNivel2.Text = "N1"
  				lblNivel3.Text = "N2"
  				lblNivel4.Text = "N3"
  				lblNivel5.Text = "N4"
  				lblNivel6.Text = "N5"
				txtN6.Visible = True
		Case "Grupo2"
				lblNivel2.Text = "N1a"
  				lblNivel3.Text = "N2a"
  				lblNivel4.Text = "N3a"
  				lblNivel5.Text = "N4a"
  				lblNivel6.Text = ""
				txtN6.Visible = False
				'Valor diferente de vacio para control de valor obligatorio
				Base.g_Nivel6_fuerza = 0  
		Case "Grupo3"
				lblNivel2.Text = "N1b"
  				lblNivel3.Text = "N2b"
  				lblNivel4.Text = "N3b"
  				lblNivel5.Text = "N4b"
  				lblNivel6.Text = "N5b"
				txtN6.Visible = True
	End Select
	 
End Sub


Sub spnFuerza_ItemClick (Position As Int, Value As Object)
		Base.g_Nivel1_fuerza = spnFuerza.GetItem(Position)  'Nombre de la fuerza
		Pantalla_Pintar
End Sub

Sub txtN2_TextChanged (Old As String, New As String)
 'Control de limite de caracteres
  If New.Length > Base.g_Limit1 Then  
  		'Restaura el valor anterior
		txtN2.Text = Old  
  Else
		'Actualiza la variable correspondiente de memoria
		Base.g_Nivel2_fuerza = New  
  End If 
  
End Sub

Sub txtN3_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtN3.Text = Old
  Else
	Base.g_Nivel3_fuerza = New
  End If 

End Sub

Sub txtN4_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtN4.Text = Old
  Else
	Base.g_Nivel4_fuerza = New
  End If 
End Sub

Sub txtN5_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtN5.Text = Old
  Else
	Base.g_Nivel5_fuerza = New
  End If 
End Sub

Sub txtN6_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtN6.Text = Old
  Else
	Base.g_Nivel6_fuerza = New
  End If 
End Sub

Sub imgSiguiente_Click
	
		'Redireccionará al paso 2: Lugar
		Base.g_Paso = 2
		Proceso.NavegarPantallaPaso

		'Finaliza la actividad actual (activa el activity MAIN) 
		Activity.Finish 
End Sub
Sub imgMenu_Click
End Sub

Sub Activity_KeyPress (KeyCode As Int) As Boolean 
   If KeyCode = KeyCodes.KEYCODE_BACK Then
			Proceso.PausarTerminar(Activity)
            Return True  'No continua con el evento propio de Android. Solo ejecuta nuestro código
    Else
		   Return False  'Continua con el comportamiento normal del botón
	End If
End Sub

Sub imgAyuda_Click
	Dim Intent1 As Intent
	Intent1.Initialize(Intent1.ACTION_VIEW, Base.g_ManualAyuda)
	
	Intent1.SetComponent("android/com.android.internal.app.ResolverActivity")
    Intent1.SetType("application/pdf")
    StartActivity(Intent1)
End Sub