﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
	Dim spnDepartamento, spnMunicipio As Spinner 
	Dim txtCorregimiento, txtVereda As EditText
	Dim lblFecha, lblCodigo As Label
	Dim pnlBarra,pnlCentro As Panel	

	Dim imgAyuda As ImageView

End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("p2_lugar")
	
	'Cargar combo departamento y municipios iniciales
	Proceso.IniciarBD
		Proceso.ListarDepartamentos(spnDepartamento,Base.g_departamento)
		If Base.g_departamento = "" Then  'Si es nuevo, no viene de un registro pausado
			Base.g_departamento = spnDepartamento.GetItem(0)
		End If
		'Listar municipios del departamento actual
		Base.g_municipio= Proceso.ListarMunicipios(spnMunicipio,Base.g_municipio,Base.g_departamento)
	Proceso.CerrarBD
	
	If spnMunicipio.Size = 0 Then
		Base.g_municipio  = ""
	End If
	
	Pantalla_Formatear
	Pantalla_Pintar

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub Pantalla_Formatear
	'Centrar el panel del menú en el dispositivo
	pnlBarra.Left = (100%x - pnlBarra.Width)/2
	pnlBarra.Top = 5%y
	pnlCentro.Left = pnlBarra.Left 
	pnlCentro.Top = pnlBarra.Top +  pnlBarra.Height + 10
	
	'Formatear colores de los controles
	spnDepartamento.Color = Colors.Gray
	spnMunicipio.Color = Colors.Gray
	txtCorregimiento.Color = Colors.Black
	txtVereda.Color = Colors.Black 

	'Formato tipo texto
	txtVereda.InputType= txtVereda.INPUT_TYPE_TEXT
	txtCorregimiento.InputType= txtCorregimiento.INPUT_TYPE_TEXT
	
End Sub

Sub Pantalla_Pintar
	'Activar los combos de acuerdo a los valores actuales de la variables de memoria
	spnDepartamento.SelectedIndex=  spnDepartamento.IndexOf(Base.g_departamento)
	spnMunicipio.SelectedIndex=  spnMunicipio.IndexOf(Base.g_municipio)
	txtVereda.Text =Base.g_vereda
	txtCorregimiento.Text= Base.g_corregimiento
	lblFecha.Text  = Base.g_Fecha 
	lblCodigo.text = Base.g_Codigo
	
End Sub

Sub imgSiguiente_Click
	'Control de valores obligatorios
	If Base.g_departamento="[Seleccionar]"  OR Base.g_municipio="[Seleccionar]"   Then
		Msgbox ("Los datos de identificación no pueden ser vacios.","Falta completar datos")
	Else
		'Proceso.AlmacenarVariables(2)


		Base.g_Paso = 3  'Ir al paso siguiente
		Proceso.NavegarPantallaPaso

		Activity.Finish 

	End If
End Sub

Sub spnDepartamento_ItemClick (Position As Int, Value As Object)
	Proceso.IniciarBD
	Base.g_departamento = Value
	Base.g_municipio = Proceso.ListarMunicipios(spnMunicipio,Base.g_municipio ,Base.g_departamento)
	Proceso.CerrarBD

	If spnMunicipio.Size > 0 Then
		Base.g_municipio  = spnMunicipio.GetItem(0)
	Else
		Base.g_municipio  = ""
	End If

End Sub
Sub txtVereda_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtVereda.Text = Old
  Else
	Base.g_vereda = New
  End If 	
End Sub
Sub txtCorregimiento_TextChanged (Old As String, New As String)
  If New.Length > Base.g_Limit1 Then
  		txtCorregimiento.Text = Old
  Else
	Base.g_corregimiento = New
  End If 	
End Sub
Sub spnMunicipio_ItemClick (Position As Int, Value As Object)
	Base.g_municipio = Value
End Sub

Sub imgMenu_Click
	Proceso.PausarTerminar(Activity)
End Sub
' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Modifica el comportamiento del boton ATRAS del dispositivo
'  al presionar el botón lo dirige hacia la pantalla de Pausa.
'</Sumary>
Sub Activity_KeyPress (KeyCode As Int) As Boolean 
   If KeyCode = KeyCodes.KEYCODE_BACK Then
			Proceso.PausarTerminar(Activity)
            Return True  'No continua con el evento propio de Android. Solo ejecuta nuestro código
    Else
		   Return False  'Continua con el comportamiento normal del botón
	End If
End Sub
' <Autor> PENSEMOS SI</Autor>
' <Summary> 
'  Metodo: Carga el manual del usuario / ayuda
'</Sumary>
Sub imgAyuda_Click
	Dim Intent1 As Intent
	Intent1.Initialize(Intent1.ACTION_VIEW, Base.g_ManualAyuda)
	
	Intent1.SetComponent("android/com.android.internal.app.ResolverActivity")
    Intent1.SetType("application/pdf")
    StartActivity(Intent1)
End Sub