﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'Se definen las variables requeridas para la geolocalización
	Dim LocalizacionActual As Location  'Tomará las coordenadas actuales
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim camera1 As CameraExClass
	Dim PanelFoto1, pnlBarra,pnlCentro As Panel
	Dim imgSiguiente, imgMenu,imgCamara,imgFoto,img_imagen As ImageView 

	Dim fotoTomada As Boolean : fotoTomada= False
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("p4_foto1")
	Pantalla_Formatear
	Msgbox ("Ubique una buena posición para la panorámica del cultivo con algún punto de referencia visible que pueda volver a ubicar","Foto panorámica")

End Sub

Sub Activity_Resume

	imgFoto.Visible  = False  'Inactiva la modalidad de mostrar la foto
	camera1.Initialize(PanelFoto1, False, Me, "Camera1") 
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	camera1.Release  'Libera la camara
End Sub

Sub Camera1_Ready (Success As Boolean)
	If Success Then
		Proceso.MaximaResolucion (camera1)
		camera1.StartPreview
		imgFoto.Visible = True
	Else
		ToastMessageShow("Cannot open camera.", True)
	End If
End Sub

Sub Camera1_PictureTaken (Data() As Byte)
	If Data =  Null Then  ''WHY IT ARRIVES NULLLL?????
				  Msgbox("Vuelva a intentarlo","Aviso")
		  Return
	End If


	Try
		'camera1.SavePictureToFile(Data,Base.g_DirInterno & "/Erradica",Base.g_Codigo & "_1.jpg")
		Msgbox("La foto ha sido tomada y almacenada con éxito","Aviso")
		imgFoto.Enabled =  True
		fotoTomada= True
	Catch
		ToastMessageShow("Error tomando la foto, intentelo de nuevo...", True)
		Log("Error tomando la foto, intentelo de nuevo...")
	End Try

End Sub



Sub imgCamara_Click
	imgFoto.Visible  = True  'Activar boton de tomar la foto
	PanelFoto1.Visible = True  'Activar el panel de la camara
	camera1.StartPreview 
End Sub

Sub imgFoto_Click
	imgFoto.Visible  = False 'Desactivar boton de tomar la foto, ya fue tomada
	camera1.TakePicture	     'Tomar la foto a través del sistema operativo
End Sub

Sub Pantalla_Formatear
	'Centrar el panel del menú en el dispositivo
	pnlBarra.Left = (100%x - pnlBarra.Width)/2
	pnlBarra.Top = 5%y
	pnlCentro.Left = pnlBarra.Left 
	pnlCentro.Top = pnlBarra.Top +  pnlBarra.Height + 10
End Sub

Sub imgSiguiente_Click
 If fotoTomada = False Then
	Msgbox ("Se requiere tomar la foto para avanzar.","Falta completar datos")
 Else
	 
	Base.g_Paso = 3
	Proceso.NavegarPantallaPaso
	Activity.Finish

End If
End Sub
Sub imgMenu_Click
  If  Msgbox2 ("Saldrá del reporte del cultivo, ¿está seguro que desea continuar?" , "Advertencia","Pausar/Terminar","Cancelar","",Null) = DialogResponse.POSITIVE Then
	Activity.Finish 
  End If
End Sub
